<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button color="medium"></ion-back-button>
    </ion-buttons>
    <ion-title>Hopital</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-row class="userInfo">
    <ion-col size="3" style="margin: auto">
      <ion-icon src="../assets/icon/svg/hospital.svg"></ion-icon>
    </ion-col>
    <ion-col size="9" style="display: flex;flex-direction: column;
      flex-wrap: wrap;align-content: space-around; justify-content: center;align-items: baseline;">
      <h1 class="h1-bold" >Hopital</h1>
      <h1 class="h1-dashbord" >{{hopitals?.nom}}</h1>
      <h1 class="h1-dashbord" >{{departement?.nom}}</h1>
      <!--      <h1 class="h1-dashbord" >{{mecaniciens?.type}}</h1>-->
    </ion-col >
    <!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==3 " ></ion-icon>-->
    <!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==2 " color="danger"></ion-icon>-->
    <!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==1" color="warning"></ion-icon>-->
  </ion-row>
  <ion-row>
    <ion-col size="4">
      <div class="box-icon"  routerLink="/home">
        <ion-icon src="../assets/icon/svg/return.svg" ></ion-icon>
      </div>
    </ion-col>
    <ion-col size="4">
      <div class="box-icon" (click)="emplacement(hopitals?.id)">
        <ion-icon style="color: var(--ion-color-optyblue)" slot="icon-only" src="../assets/icon/svg/navigation.svg"></ion-icon>
      </div>
    </ion-col>
    <ion-col size="4">
      <div class="box-icon"(click)="infocall(hopitals?.tel)">
        <ion-icon  style="color: var(--ion-color-optyblue)" slot="icon-only" name="call-outline"></ion-icon>
      </div>
    </ion-col>

  </ion-row>

  <ion-grid>
    <ion-row>
      <ion-col size="12"(click)="statuthopital(hopitals?.statut)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Médecine générale</span>
          <ion-icon *ngIf="hopitals?.medecinegenerale==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.medecinegenerale==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.medecinegenerale==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.medecinegenerale==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.pneumologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Pneumologie</span>
          <ion-icon *ngIf="hopitals?.pneumologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.pneumologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.pneumologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.pneumologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.su)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Service urgence</span>
          <ion-icon *ngIf="hopitals?.su==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.su==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.su==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.su==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.cardiologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Cardiologie</span>
          <ion-icon *ngIf="hopitals?.cardiologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.cardiologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.cardiologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.cardiologie==2" color="orange" name="warning-outline"></ion-icon>
        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.dermatologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Dermatologie</span>
          <ion-icon *ngIf="hopitals?.dermatologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.dermatologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.dermatologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.dermatologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.maternite)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Maternite</span>
          <ion-icon *ngIf="hopitals?.maternite==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.maternite==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.maternite==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.maternite==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.traumatologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Traumatologie</span>
          <ion-icon *ngIf="hopitals?.traumatologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.traumatologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.traumatologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.traumatologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.sgb)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Service brûlée</span>
          <ion-icon *ngIf="hopitals?.sgb==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.sgb==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.sgb==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.sgb==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.pediatrie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Pédiatrie</span>
          <ion-icon *ngIf="hopitals?.pediatrie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.pediatrie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.pediatrie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.pediatrie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.urologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Urologie</span>
          <ion-icon *ngIf="hopitals?.urologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.urologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.urologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.urologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.neurologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Neurologie</span>
          <ion-icon *ngIf="hopitals?.neurologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.neurologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.neurologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.neurologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.radiologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Radiologie</span>
          <ion-icon *ngIf="hopitals?.radiologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.radiologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.radiologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.radiologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.ophtalmologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Ophtalmologie</span>
          <ion-icon *ngIf="hopitals?.ophtalmologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.ophtalmologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.ophtalmologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.ophtalmologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.chirugie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Chirugie</span>
          <ion-icon *ngIf="hopitals?.chirugie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.chirugie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.chirugie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.chirugie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.immunologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Immunologie</span>
          <ion-icon *ngIf="hopitals?.immunologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.immunologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.immunologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.immunologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
        <ion-col size="12"(click)="statuthopital(hopitals?.odontologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Odontologie</span>
          <ion-icon *ngIf="hopitals?.odontologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.odontologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.odontologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.odontologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
        </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.endocrinologie)">

        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Endocrinologie</span>
          <ion-icon *ngIf="hopitals?.endocrinologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.endocrinologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.endocrinologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.endocrinologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.hematologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Hématologie</span>
          <ion-icon *ngIf="hopitals?.hematologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.hematologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.hematologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.hematologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12"(click)="statuthopital(hopitals?.gastroenterologie)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>Gastro-entérologie</span>
          <ion-icon *ngIf="hopitals?.gastroenterologie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="hopitals?.gastroenterologie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="hopitals?.gastroenterologie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="hopitals?.gastroenterologie==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>



    </ion-row>
  </ion-grid>

</ion-content>
